### Method

# Gom Repository find_one_sync

#### Declaration [src]

    GomResource*
    gom_repository_find_one_sync (
      GomRepository* repository,
      GType resource_type,
      GomFilter* filter,
      GError** error
    )

#### Description [src]

Synchronous version of gom_repository_find_async().

#### Parameters

`resource_type`

  Type: `GType`

  A `GType` of the resource to lookup.

`filter`

  Type: `GomFilter`

  A `GomFilter` to apply to your search.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GomResource`

A `GomResource` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.